Package org.lwjgl.opengl

# Class NVVertexProgram

java.lang.Object
org.lwjgl.opengl.NVProgram
org.lwjgl.opengl.NVVertexProgram

public final class NVVertexProgram extends NVProgram

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ATTRIB_ARRAY_POINTER_NV`
Accepted by the <pname> parameter of GetVertexAttribPointervNV:
`static final int`
`GL_ATTRIB_ARRAY_SIZE_NV`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:
`static final int`
`GL_ATTRIB_ARRAY_STRIDE_NV`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:
`static final int`
`GL_ATTRIB_ARRAY_TYPE_NV`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:
`static final int`
`GL_CURRENT_ATTRIB_NV`
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:
`static final int`
`GL_CURRENT_MATRIX_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_CURRENT_MATRIX_STACK_DEPTH_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_IDENTITY_NV`
Accepted by the <transform> parameter of TrackMatrixNV:
`static final int`
`GL_INVERSE_NV`
Accepted by the <transform> parameter of TrackMatrixNV:
`static final int`
`GL_INVERSE_TRANSPOSE_NV`
Accepted by the <transform> parameter of TrackMatrixNV:
`static final int`
`GL_MAP1_VERTEX_ATTRIB0_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB1_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB10_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB11_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB12_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB13_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB14_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB15_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB2_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB3_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB4_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB5_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB6_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB7_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB8_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP1_VERTEX_ATTRIB9_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB0_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB1_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB10_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB11_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB12_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB13_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB14_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB15_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB2_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB3_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB4_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB5_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB6_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB7_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB8_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAP2_VERTEX_ATTRIB9_4_NV`
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MATRIX0_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX1_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX2_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX3_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX4_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX5_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX6_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX7_NV`
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:
`static final int`
`GL_MAX_TRACK_MATRICES_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MODELVIEW_PROJECTION_NV`
Accepted by the <matrix> parameter of TrackMatrixNV:
`static final int`
`GL_PROGRAM_PARAMETER_NV`
Accepted by the <pname> parameter of GetProgramParameterfvNV and GetProgramParameterdvNV:
`static final int`
`GL_TRACK_MATRIX_NV`
Accepted by the <pname> parameter of GetTrackMatrixivNV:
`static final int`
`GL_TRACK_MATRIX_TRANSFORM_NV`
Accepted by the <pname> parameter of GetTrackMatrixivNV:
`static final int`
`GL_TRANSPOSE_NV`
Accepted by the <transform> parameter of TrackMatrixNV:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY0_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY1_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY10_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY11_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY12_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY13_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY14_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY15_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY2_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY3_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY4_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY5_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY6_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY7_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY8_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY9_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_PROGRAM_BINDING_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_PROGRAM_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of BindProgramNV, ExecuteProgramNV, GetProgramParameter[df]vNV, GetTrackMatrixivNV, LoadProgramNV, ProgramParameter[s]4[df][v]NV, and TrackMatrixNV:
`static final int`
`GL_VERTEX_PROGRAM_POINT_SIZE_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_PROGRAM_TWO_SIDE_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_STATE_PROGRAM_NV`
Accepted by the <target> parameter of ExecuteProgramNV and LoadProgramNV:

### Fields inherited from class org.lwjgl.opengl.NVProgram

`GL_PROGRAM_ERROR_POSITION_NV, GL_PROGRAM_ERROR_STRING_NV, GL_PROGRAM_LENGTH_NV, GL_PROGRAM_RESIDENT_NV, GL_PROGRAM_STRING_NV, GL_PROGRAM_TARGET_NV`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glExecuteProgramNV(int target, int id, FloatBuffer params)`
`static void`
`glGetProgramParameterNV(int target, int index, int parameterName, DoubleBuffer params)`
`static void`
`glGetProgramParameterNV(int target, int index, int parameterName, FloatBuffer params)`
`static void`
`glGetTrackMatrixNV(int target, int address, int parameterName, IntBuffer params)`
`static void`
`glGetVertexAttribNV(int index, int parameterName, DoubleBuffer params)`
`static void`
`glGetVertexAttribNV(int index, int parameterName, FloatBuffer params)`
`static void`
`glGetVertexAttribNV(int index, int parameterName, IntBuffer params)`
`static ByteBuffer`
`glGetVertexAttribPointerNV(int index, int parameterName, long result_size)`
`static void`
`glProgramParameter4dNV(int target, int index, double x, double y, double z, double w)`
`static void`
`glProgramParameter4fNV(int target, int index, float x, float y, float z, float w)`
`static void`
`glProgramParameters4NV(int target, int index, DoubleBuffer params)`
`static void`
`glProgramParameters4NV(int target, int index, FloatBuffer params)`
`static void`
`glTrackMatrixNV(int target, int address, int matrix, int transform)`
`static void`
`glVertexAttrib1dNV(int index, double x)`
`static void`
`glVertexAttrib1fNV(int index, float x)`
`static void`
`glVertexAttrib1sNV(int index, short x)`
`static void`
`glVertexAttrib2dNV(int index, double x, double y)`
`static void`
`glVertexAttrib2fNV(int index, float x, float y)`
`static void`
`glVertexAttrib2sNV(int index, short x, short y)`
`static void`
`glVertexAttrib3dNV(int index, double x, double y, double z)`
`static void`
`glVertexAttrib3fNV(int index, float x, float y, float z)`
`static void`
`glVertexAttrib3sNV(int index, short x, short y, short z)`
`static void`
`glVertexAttrib4dNV(int index, double x, double y, double z, double w)`
`static void`
`glVertexAttrib4fNV(int index, float x, float y, float z, float w)`
`static void`
`glVertexAttrib4sNV(int index, short x, short y, short z, short w)`
`static void`
`glVertexAttrib4ubNV(int index, byte x, byte y, byte z, byte w)`
`static void`
`glVertexAttribPointerNV(int index, int size, int type, int stride, long buffer_buffer_offset)`
`static void`
`glVertexAttribPointerNV(int index, int size, int type, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribPointerNV(int index, int size, int type, int stride, DoubleBuffer buffer)`
`static void`
`glVertexAttribPointerNV(int index, int size, int type, int stride, FloatBuffer buffer)`
`static void`
`glVertexAttribPointerNV(int index, int size, int type, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribPointerNV(int index, int size, int type, int stride, ShortBuffer buffer)`
`static void`
`glVertexAttribs1NV(int index, DoubleBuffer v)`
`static void`
`glVertexAttribs1NV(int index, FloatBuffer v)`
`static void`
`glVertexAttribs1NV(int index, ShortBuffer v)`
`static void`
`glVertexAttribs2NV(int index, DoubleBuffer v)`
`static void`
`glVertexAttribs2NV(int index, FloatBuffer v)`
`static void`
`glVertexAttribs2NV(int index, ShortBuffer v)`
`static void`
`glVertexAttribs3NV(int index, DoubleBuffer v)`
`static void`
`glVertexAttribs3NV(int index, FloatBuffer v)`
`static void`
`glVertexAttribs3NV(int index, ShortBuffer v)`
`static void`
`glVertexAttribs4NV(int index, DoubleBuffer v)`
`static void`
`glVertexAttribs4NV(int index, FloatBuffer v)`
`static void`
`glVertexAttribs4NV(int index, ShortBuffer v)`

### Methods inherited from class org.lwjgl.opengl.NVProgram

`glAreProgramsResidentNV, glBindProgramNV, glDeleteProgramsNV, glDeleteProgramsNV, glGenProgramsNV, glGenProgramsNV, glGetProgramiNV, glGetProgramNV, glGetProgramNV, glGetProgramStringNV, glGetProgramStringNV, glIsProgramNV, glLoadProgramNV, glLoadProgramNV, glRequestResidentProgramsNV, glRequestResidentProgramsNV`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_PROGRAM_NV

public static final int GL_VERTEX_PROGRAM_NV
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of BindProgramNV, ExecuteProgramNV, GetProgramParameter[df]vNV, GetTrackMatrixivNV, LoadProgramNV, ProgramParameter[s]4[df][v]NV, and TrackMatrixNV:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE_NV

public static final int GL_VERTEX_PROGRAM_POINT_SIZE_NV
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_TWO_SIDE_NV

public static final int GL_VERTEX_PROGRAM_TWO_SIDE_NV
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_STATE_PROGRAM_NV

public static final int GL_VERTEX_STATE_PROGRAM_NV
Accepted by the <target> parameter of ExecuteProgramNV and LoadProgramNV:

See Also:
  - Constant Field Values

### GL_ATTRIB_ARRAY_SIZE_NV

public static final int GL_ATTRIB_ARRAY_SIZE_NV
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:

See Also:
  - Constant Field Values

### GL_ATTRIB_ARRAY_STRIDE_NV

public static final int GL_ATTRIB_ARRAY_STRIDE_NV
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:

See Also:
  - Constant Field Values

### GL_ATTRIB_ARRAY_TYPE_NV

public static final int GL_ATTRIB_ARRAY_TYPE_NV
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:

See Also:
  - Constant Field Values

### GL_CURRENT_ATTRIB_NV

public static final int GL_CURRENT_ATTRIB_NV
Accepted by the <pname> parameter of GetVertexAttrib[dfi]vNV:

See Also:
  - Constant Field Values

### GL_PROGRAM_PARAMETER_NV

public static final int GL_PROGRAM_PARAMETER_NV
Accepted by the <pname> parameter of GetProgramParameterfvNV and GetProgramParameterdvNV:

See Also:
  - Constant Field Values

### GL_ATTRIB_ARRAY_POINTER_NV

public static final int GL_ATTRIB_ARRAY_POINTER_NV
Accepted by the <pname> parameter of GetVertexAttribPointervNV:

See Also:
  - Constant Field Values

### GL_TRACK_MATRIX_NV

public static final int GL_TRACK_MATRIX_NV
Accepted by the <pname> parameter of GetTrackMatrixivNV:

See Also:
  - Constant Field Values

### GL_TRACK_MATRIX_TRANSFORM_NV

public static final int GL_TRACK_MATRIX_TRANSFORM_NV
Accepted by the <pname> parameter of GetTrackMatrixivNV:

See Also:
  - Constant Field Values

### GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV

public static final int GL_MAX_TRACK_MATRIX_STACK_DEPTH_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TRACK_MATRICES_NV

public static final int GL_MAX_TRACK_MATRICES_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_CURRENT_MATRIX_STACK_DEPTH_NV

public static final int GL_CURRENT_MATRIX_STACK_DEPTH_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_CURRENT_MATRIX_NV

public static final int GL_CURRENT_MATRIX_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_BINDING_NV

public static final int GL_VERTEX_PROGRAM_BINDING_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MODELVIEW_PROJECTION_NV

public static final int GL_MODELVIEW_PROJECTION_NV
Accepted by the <matrix> parameter of TrackMatrixNV:

See Also:
  - Constant Field Values

### GL_MATRIX0_NV

public static final int GL_MATRIX0_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX1_NV

public static final int GL_MATRIX1_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX2_NV

public static final int GL_MATRIX2_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX3_NV

public static final int GL_MATRIX3_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX4_NV

public static final int GL_MATRIX4_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX5_NV

public static final int GL_MATRIX5_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX6_NV

public static final int GL_MATRIX6_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX7_NV

public static final int GL_MATRIX7_NV
Accepted by the <matrix> parameter of TrackMatrixNV and by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_IDENTITY_NV

public static final int GL_IDENTITY_NV
Accepted by the <transform> parameter of TrackMatrixNV:

See Also:
  - Constant Field Values

### GL_INVERSE_NV

public static final int GL_INVERSE_NV
Accepted by the <transform> parameter of TrackMatrixNV:

See Also:
  - Constant Field Values

### GL_TRANSPOSE_NV

public static final int GL_TRANSPOSE_NV
Accepted by the <transform> parameter of TrackMatrixNV:

See Also:
  - Constant Field Values

### GL_INVERSE_TRANSPOSE_NV

public static final int GL_INVERSE_TRANSPOSE_NV
Accepted by the <transform> parameter of TrackMatrixNV:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY0_NV

public static final int GL_VERTEX_ATTRIB_ARRAY0_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY1_NV

public static final int GL_VERTEX_ATTRIB_ARRAY1_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY2_NV

public static final int GL_VERTEX_ATTRIB_ARRAY2_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY3_NV

public static final int GL_VERTEX_ATTRIB_ARRAY3_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY4_NV

public static final int GL_VERTEX_ATTRIB_ARRAY4_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY5_NV

public static final int GL_VERTEX_ATTRIB_ARRAY5_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY6_NV

public static final int GL_VERTEX_ATTRIB_ARRAY6_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY7_NV

public static final int GL_VERTEX_ATTRIB_ARRAY7_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY8_NV

public static final int GL_VERTEX_ATTRIB_ARRAY8_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY9_NV

public static final int GL_VERTEX_ATTRIB_ARRAY9_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY10_NV

public static final int GL_VERTEX_ATTRIB_ARRAY10_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY11_NV

public static final int GL_VERTEX_ATTRIB_ARRAY11_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY12_NV

public static final int GL_VERTEX_ATTRIB_ARRAY12_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY13_NV

public static final int GL_VERTEX_ATTRIB_ARRAY13_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY14_NV

public static final int GL_VERTEX_ATTRIB_ARRAY14_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY15_NV

public static final int GL_VERTEX_ATTRIB_ARRAY15_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB0_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB0_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB1_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB1_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB2_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB2_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB3_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB3_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB4_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB4_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB5_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB5_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB6_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB6_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB7_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB7_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB8_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB8_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB9_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB9_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB10_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB10_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB11_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB11_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB12_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB12_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB13_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB13_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB14_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB14_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP1_VERTEX_ATTRIB15_4_NV

public static final int GL_MAP1_VERTEX_ATTRIB15_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map1d and Map1f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB0_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB0_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB1_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB1_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB2_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB2_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB3_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB3_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB4_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB4_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB5_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB5_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB6_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB6_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB7_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB7_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB8_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB8_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB9_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB9_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB10_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB10_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB11_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB11_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB12_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB12_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB13_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB13_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB14_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB14_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAP2_VERTEX_ATTRIB15_4_NV

public static final int GL_MAP2_VERTEX_ATTRIB15_4_NV
Accepted by the <target> parameter of GetMapdv, GetMapfv, GetMapiv, Map2d and Map2f and by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glExecuteProgramNV

public static void glExecuteProgramNV(int target, int id, FloatBuffer params)

### glGetProgramParameterNV

public static void glGetProgramParameterNV(int target, int index, int parameterName, FloatBuffer params)

### glGetProgramParameterNV

public static void glGetProgramParameterNV(int target, int index, int parameterName, DoubleBuffer params)

### glGetTrackMatrixNV

public static void glGetTrackMatrixNV(int target, int address, int parameterName, IntBuffer params)

### glGetVertexAttribNV

public static void glGetVertexAttribNV(int index, int parameterName, FloatBuffer params)

### glGetVertexAttribNV

public static void glGetVertexAttribNV(int index, int parameterName, DoubleBuffer params)

### glGetVertexAttribNV

public static void glGetVertexAttribNV(int index, int parameterName, IntBuffer params)

### glGetVertexAttribPointerNV

public static ByteBuffer glGetVertexAttribPointerNV(int index, int parameterName, long result_size)

### glProgramParameter4fNV

public static void glProgramParameter4fNV(int target, int index, float x, float y, float z, float w)

### glProgramParameter4dNV

public static void glProgramParameter4dNV(int target, int index, double x, double y, double z, double w)

### glProgramParameters4NV

public static void glProgramParameters4NV(int target, int index, FloatBuffer params)

### glProgramParameters4NV

public static void glProgramParameters4NV(int target, int index, DoubleBuffer params)

### glTrackMatrixNV

public static void glTrackMatrixNV(int target, int address, int matrix, int transform)

### glVertexAttribPointerNV

public static void glVertexAttribPointerNV(int index, int size, int type, int stride, DoubleBuffer buffer)

### glVertexAttribPointerNV

public static void glVertexAttribPointerNV(int index, int size, int type, int stride, FloatBuffer buffer)

### glVertexAttribPointerNV

public static void glVertexAttribPointerNV(int index, int size, int type, int stride, ByteBuffer buffer)

### glVertexAttribPointerNV

public static void glVertexAttribPointerNV(int index, int size, int type, int stride, IntBuffer buffer)

### glVertexAttribPointerNV

public static void glVertexAttribPointerNV(int index, int size, int type, int stride, ShortBuffer buffer)

### glVertexAttribPointerNV

public static void glVertexAttribPointerNV(int index, int size, int type, int stride, long buffer_buffer_offset)

### glVertexAttrib1sNV

public static void glVertexAttrib1sNV(int index, short x)

### glVertexAttrib1fNV

public static void glVertexAttrib1fNV(int index, float x)

### glVertexAttrib1dNV

public static void glVertexAttrib1dNV(int index, double x)

### glVertexAttrib2sNV

public static void glVertexAttrib2sNV(int index, short x, short y)

### glVertexAttrib2fNV

public static void glVertexAttrib2fNV(int index, float x, float y)

### glVertexAttrib2dNV

public static void glVertexAttrib2dNV(int index, double x, double y)

### glVertexAttrib3sNV

public static void glVertexAttrib3sNV(int index, short x, short y, short z)

### glVertexAttrib3fNV

public static void glVertexAttrib3fNV(int index, float x, float y, float z)

### glVertexAttrib3dNV

public static void glVertexAttrib3dNV(int index, double x, double y, double z)

### glVertexAttrib4sNV

public static void glVertexAttrib4sNV(int index, short x, short y, short z, short w)

### glVertexAttrib4fNV

public static void glVertexAttrib4fNV(int index, float x, float y, float z, float w)

### glVertexAttrib4dNV

public static void glVertexAttrib4dNV(int index, double x, double y, double z, double w)

### glVertexAttrib4ubNV

public static void glVertexAttrib4ubNV(int index, byte x, byte y, byte z, byte w)

### glVertexAttribs1NV

public static void glVertexAttribs1NV(int index, ShortBuffer v)

### glVertexAttribs1NV

public static void glVertexAttribs1NV(int index, FloatBuffer v)

### glVertexAttribs1NV

public static void glVertexAttribs1NV(int index, DoubleBuffer v)

### glVertexAttribs2NV

public static void glVertexAttribs2NV(int index, ShortBuffer v)

### glVertexAttribs2NV

public static void glVertexAttribs2NV(int index, FloatBuffer v)

### glVertexAttribs2NV

public static void glVertexAttribs2NV(int index, DoubleBuffer v)

### glVertexAttribs3NV

public static void glVertexAttribs3NV(int index, ShortBuffer v)

### glVertexAttribs3NV

public static void glVertexAttribs3NV(int index, FloatBuffer v)

### glVertexAttribs3NV

public static void glVertexAttribs3NV(int index, DoubleBuffer v)

### glVertexAttribs4NV

public static void glVertexAttribs4NV(int index, ShortBuffer v)

### glVertexAttribs4NV

public static void glVertexAttribs4NV(int index, FloatBuffer v)

### glVertexAttribs4NV

public static void glVertexAttribs4NV(int index, DoubleBuffer v)